<?
$dbhtype = "dba";
function dbh_open($path, $mode)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_open($path, $mode, "db2");
		case "dbm":
			return dbmopen($path, $mode);
		default:
			echo "Bad DATABASE TYPE\n";
			exit;
	}
}

function dbh_close($dbh)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_close($dbh);
		case "dbm":
			return dbmclose($dbh);
	}
}

function dbh_insert($dbh, $key, $value)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			$ret = @dba_insert($key, $value, $dbh);
			@dba_sync($dbh);
			return $ret;
		case "dbm":
			return dbminsert($dbh, $key, $value);
	}
}

function dbh_replace($dbh, $key, $value)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			$ret = @dba_replace($key, $value, $dbh);
			@dba_sync($dbh);
			return $ret;
		case "dbm":
			return dbmreplace($dbh, $key, $value);
	}
}

function dbh_delete($dbh, $key)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_delete($key, $dbh);
		case "dbm":
			return dbmdelete($dbh, $key);
	}
}

function dbh_fetch($dbh, $key)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_fetch($key, $dbh);
		case "dbm":
			return dbmfetch($dbh, $key);
	}
}

function dbh_nextkey($dbh)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_nextkey($dbh);
		case "dbm":
			return dbmnextkey($dbh);
	}
}

function dbh_firstkey($dbh)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_firstkey($dbh);
		case "dbm":
			return dbmfirstkey($dbh);
	}
}

function dbh_exists($dbh, $key)
{
	global $dbhtype;

	switch($dbhtype)
	{
		case "dba":
			return @dba_exists($key, $dbh);
		case "dbm":
			return dbmexists($dbh, $key);
	}
}

function dbh_sync($dbh)
{
	global $dbhtype;
	if($dbhtype == "dba")
	{
		return @dba_sync($dbh);
	}
}

function dbh_optimize($dbh)
{
	global $dbhtype;
	if($dbhtype == "dba")
	{
		return @dba_optimize($dbh);
	}
}

?>
